Bug 523974 - Init script needs a few fixes for LSB compliance
Init script needs a few fixes for LSB compliance
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: InitScriptsProject
  Show dependency treegraph
 
Reported: 2009-09-17 09:02 EDT by Radek Bíba
Modified: 2013-04-30 19:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: tigervnc-1.0.90-0.3.20100115svn3945.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:22:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2009-09-17 09:02:03 EDT
Description of problem:
The vncserver init script has the following issues:

* when `service vncserver start' is run while this service is already running,
the init script prints errors from Xnvc (that's correct actually), but exits with code 98, inherited from the child process that failed due to occupied display number. This should be 0 since it's okay to start an already running service. Maybe a special case for 98 would be appropriate.

* running `service vncserver stop' while vncserver isn't running exits with code 2. This should be 0, too. Maybe the stop branch should first check if the services is running and just exit with 0 if it is.

* running `service vncserver status' while no vnc server is running but lock file exists exits with code 3 and prints 'Xvnc is stopped'. This should be 2 and the message should indicate that the vnc is dead while it's locked. I'm afraid the status branch will have to be modified extensively to handle the difference between service name (vncserver) and process name (Xvnc), taking locales into account.

* when no known parameter is passed to the init script, it should exit with code 2, not 3.


Version-Release number of selected component (if applicable):
tigervnc-server-0.0.90-0.10.fc11

Additional info:
See https://fedoraproject.org/wiki/Packaging/SysVInitScript for details.
Comment 1 Adam Tkac 2009-10-08 09:50:12 EDT
Fixed in tigervnc-1.0.0-2.fc12.
Comment 2 Radek Bíba 2009-10-13 09:06:12 EDT
Not really, sorry. :)

The init script still exits with 98 in the first case. The start function returns 0, but eventually the script exits with (the last value of) $RETVAL anyway. That's an easy fix:

71c71
<     [ "$RETVAL" -eq 98 ] && return 0
---
>     [ "$RETVAL" -eq 98 ] && RETVAL=0

And if the service is dead, status still acts as if it's just stopped. This wasn't changed in the new init script at all. Thanks for the fixes you've made, but please also review the remaining items.
Comment 3 Bug Zapper 2009-11-16 07:33:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Adam Tkac 2010-01-27 08:02:29 EST
Fixed in tigervnc-1.0.90-0.5.20091221svn3929.fc13.
Comment 10 Bug Zapper 2010-11-04 05:57:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Radek Bíba 2010-11-04 06:14:48 EDT
This bug can be closed. It was fixed in rawhide in February. I don't really care about F12.
Comment 12 Bug Zapper 2010-12-05 01:22:46 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Sadashiv 2011-05-03 11:27:51 EDT
I'm facing this issue in FC14 too.

Sadashiv M Kulthe

Note You need to log in before you can comment on or make changes to this bug.